Potrace 安全漏洞

1次阅读
没有评论

漏洞信息详情

Potrace 安全漏洞

  • CNNVD编号:CNNVD-201610-569
  • <!--

  • 危害等级: 中危-->
  • 危害等级: 中危

  • CVE编号: CVE-2016-8695

  • 漏洞类型:

    资料不足

  • 发布时间:

    2016-10-25

  • 威胁类型:

    远程

  • 更新时间:

    2017-02-10

  • 厂        商: potrace_project
  • 漏洞来源: Agostino Sarubbo o...

漏洞简介

Potrace是软件开发者Peter Selinger所研发的一套位图图片处理工具。该工具提供添加平滑效果、自由缩放图片等功能。

Potrace 1.12及之前的版本中的bitmap_io.c文件的‘bm_readbody_bmp’函数存在漏洞。远程攻击者可借助特制的BMP图片利用该漏洞造成拒绝服务(空指针逆向引用和崩溃)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

http://potrace.sourceforge.net/ChangeLog

参考网址

来源:BID

链接:http://www.securityfocus.com/bid/93778

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/08/18/11

来源:MISC

链接:https://blogs.gentoo.org/ago/2016/08/08/potrace-multiple-three-null-pointer-dereference-in-bm_readbody_bmp-bitmap_io-c/

来源:CONFIRM

链接:http://potrace.sourceforge.net/ChangeLog

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/10/16/12

受影响实体

  • Potrace_project Potrace:1.12  

    <!--

    2000-1-1

    -->


补丁

  • Potrace 拒绝服务漏洞和基于堆的缓冲区溢出漏洞的修复措施

    <!--

    2016-10-25

    -->


admin
版权声明:本站原创文章,由 admin2022-01-14发表,共计881字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(没有评论)
验证码